[Overview][Types][Index] | Reference for unit 'machotypes' (#fcl-res)

# TMachOMachineType

Enumeration for Mach-O machine type

## Declaration

Source position: machotypes.pp line 25

`type TMachOMachineType = (`
`mmtpowerpc,` |  | PowerPC machine type
`mmtpowerpc64,` |  | PowerPC 64 machine type
`mmti386,` |  | Intel 386 machine type
`mmtx86_64,` |  | AMD x86_64 machine type
`mmtarm,`
`mmtarm64`
`);`

## Description

This enumeration specifies the Mach-O machine type.

It is used by TMachOResourceWriter to specify the machine type of the generated object file and by TMachOResourceReader to read the machine type of the object file that has been read.

## See also

TMachOResourceWriter.MachineType |  | The machine type of the object file
TMachOResourceReader.MachineType |  | The machine type of the object file